Package petsc4py :: Module PETSc :: Class Mat :: Class Option

[hide private]
[frames] | no frames]

# type Option

Class Variables | [hide private]

| ERROR_LOWER_TRIANGULAR = `13`
| GETROW_UPPERTRIANGULAR = `14`
| HERMITIAN = `9`
| IGNORE_LOWER_TRIANGULAR = `12`
| IGNORE_OFF_PROC_ENTRIES = `4`
| IGNORE_ZERO_ENTRIES = `7`
| KEEP_NONZERO_PATTERN = `6`
| NEW_DIAGONALS = `3`
| NEW_NONZERO_ALLOCATION_ERR = `19`
| NEW_NONZERO_LOCATIONS = `18`
| NEW_NONZERO_LOCATION_ERR = `11`
| NO_OFF_PROC_ENTRIES = `17`
| NO_OFF_PROC_ZERO_ROWS = `16`
| OPTION_MAX = `24`
| OPTION_MIN = `-3`
| ROW_ORIENTED = `-1`
| SORTED_FULL = `23`
| SPD = `15`
| STRUCTURALLY_SYMMETRIC = `2`
| STRUCTURE_ONLY = `22`
| SUBMAT_SINGLEIS = `21`
| SUBSET_OFF_PROC_ENTRIES = `20`
| SYMMETRIC = `1`
| SYMMETRY_ETERNAL = `10`
| UNUSED_NONZERO_LOCATION_ERR = `-2`
| USE_HASH_TABLE = `5`
| USE_INODES = `8`
| __qualname__ = ``'``MatOption``'``